package com.ym.mec.biz.dal.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.Date;

@ApiModel(value = "代理商人分润信息")
public class ProxyDividendInfoVo implements Serializable {
    @ApiModelProperty(value = "代理商id")
    private Integer proxyId;

    @ApiModelProperty(value = "代理商名称")
    private String proxyName;

    @ApiModelProperty(value = "机构id")
    private Integer tenantId;

    @ApiModelProperty(value = "机构名称")
    private String tenantName;

    @JsonFormat(pattern = "yyyy-MM-dd")
    @ApiModelProperty(value = "激活时间")
    private Date activeDate;

    @ApiModelProperty(value = "激活数量")
    private Integer activeCount;

    @ApiModelProperty(value = "推荐人")
    private String recommenderName;

    public Integer getProxyId() {
        return proxyId;
    }

    public void setProxyId(Integer proxyId) {
        this.proxyId = proxyId;
    }

    public String getProxyName() {
        return proxyName;
    }

    public void setProxyName(String proxyName) {
        this.proxyName = proxyName;
    }

    public Integer getTenantId() {
        return tenantId;
    }

    public void setTenantId(Integer tenantId) {
        this.tenantId = tenantId;
    }

    public String getTenantName() {
        return tenantName;
    }

    public void setTenantName(String tenantName) {
        this.tenantName = tenantName;
    }

    public Date getActiveDate() {
        return activeDate;
    }

    public void setActiveDate(Date activeDate) {
        this.activeDate = activeDate;
    }

    public Integer getActiveCount() {
        return activeCount;
    }

    public void setActiveCount(Integer activeCount) {
        this.activeCount = activeCount;
    }

    public String getRecommenderName() {
        return recommenderName;
    }

    public void setRecommenderName(String recommenderName) {
        this.recommenderName = recommenderName;
    }
}
